/*Banner */
.contact-banner {
	color: white;
	width: 100%;
	height: 55vh;
	background-size: cover;
	background-position: center;
	background-image: url(https://mxdhardware.com/wp-content/uploads/2022/11/MxDHardware-BigBanner-OP4K-scaled.webp);
}

.contact-info {
	height: 100%;
	display: flex;
	position: relative;
	text-align: center;
	align-items: center;
	padding-bottom: 10vh;
	flex-direction: column;
	justify-content: center;
	backdrop-filter: blur(15px);
}

h1 {
	margin: 0;
	line-height: 1;
	max-width: 90%;
	text-shadow: 1px 3px 3px black;
	font-size: clamp(1.8em, 4.3vw, 4.5em);
}

.contact-info p {
	margin: 0;
	line-height: 1;
	padding: .5em;
	font-size: 18px;
	max-width: 90%;
}

h1 span {
	color: firebrick;
}

/*End*/

/* Form Box */
.form-section {
	padding: 0 2em;
}

.form-container {
	top: -11em;
	display: flex;
	height: 100%;
	margin: 0 auto;
	position: relative;
	flex-direction: row;
	max-width: 1300px;
	border-radius: 20px;
	border: 2px solid #8080808c;
	background-color: black;
}

.contact-side {
	display: flex;
	padding: 2em 3em;
}

.contact-side:first-child {
	width: 60%;
}

.contact-side:last-child {
	gap: 30px;
	width: 40%;
	flex-direction: column;
	justify-content: center;
	border-left: 1px solid grey;
}

.contact-side form input,
.contact-side form textarea,
.contact-side form select {
	background-color: #7f7f7f47 !important;
	width: 100% !important;
	margin-top: 10px !important;
}

.contact-side form {
	display: flex;
	width: 100%;
	height: 100%;
	position: relative;
	flex-direction: column;
	justify-content: center;
}

.contact-side form input {
	height: 40px;
	outline: none;
	font-size: 16px;
	padding: 5px 10px;
	border-radius: 7px;
	width: 100%;
	border: 1px solid grey;
	background-color: #7f7f7f47 !important;
}

.contact-side form textarea {
	color: white;
	width: 100%;
	padding: 5px 10px;
	border-radius: 7px !important;
}

.personal-data p {
	width: 100%;
	gap: 30px;
	display: flex;
	flex-direction: row;
}

.contact-side form input::placeholder {
	color: white;
}

.contact-side form select {
	color: white;
	height: 40px;
	width: 100%;
	outline: none;
	appearance: none;
	padding: 5px 10px;
	border-radius: 7px;
}

.contact-side form select option {
	background-color: black;
	font-family: 'Poppins';
}

.contact-side .forminator-button {
	color: white;
	width: 100%;
	display: block;
	font-weight: bold;
	border: none;
	border-radius: 12px;
	padding: 5px 10px;
	font-size: 22px !important;
	background-color: firebrick;
	font-family: 'Poppins' !important;
}

.more-info {
	width: 100%;
	text-align: center;
	padding: 5px 15px;
	border-radius: 12px;
	height: max-content;
	border: 1px solid white;
}

.more-info h3 {
	line-height: 1;
	font-size: clamp(.95em, 1.3vw, 1.5em);
}

.more-info p {
	line-height: 1.1;
	font-size: clamp(.95em, 0.9vw, 18px);
}

.contact-divisor {
	width: 80%;
	display: none;
	border: dashed;
}

.more-info hr {
	width: 80%;
	border: 1px solid darkgray;
}

.more-social {
	padding: 20px 0;
}

.more-social i {
	font-size: 30px;
}

.fa-twitter {
	padding: 0 10px;
}

/*Responsive Mode */
@media (max-width: 1024px) {
	form p {
		margin-bottom: 0;
	}

	.contact-side {
		padding: 1.5em;
	}

	.personal-data p {
		gap: 10px;
		margin-bottom: 0;
	}
}

@media (max-width: 800px) {
	.contact-banner {
		height: 35vh;
	}

	.contact-info {
		display: flex;
		padding: 6em 0 0;
		align-items: center;
		flex-direction: column;
		justify-content: flex-start;
	}

	h1 br {
		display: none;
	}

	.form-container {
		top: 0;
		margin: 4em 0;
		flex-direction: column;
	}

	.contact-side:first-child,
	.contact-side:last-child {
		width: 100%;
	}

	.contact-side:last-child {
		border-left: none;
	}

	.contact-divisor {
		display: block
	}
}

@media (max-width: 600px) {
	.personal-data p {
		flex-direction: column;
	}

	.personal-data p br {
		display: none !important;
	}

	.contact-side form textarea {
		height: 70px;
	}

	.wpcf7-spinner {
		display: none !important;
	}

	.wpcf7-not-valid-tip {
		font-size: 11px !important;
	}
}

/*End*/